# HouseClassMapping Struct Reference

Makes class IDs unique to each GRF file. More...

`#include <newgrf_house.h>`

## Data Fields
uint32 | grfid
uint8 | class_id

## Detailed Description

Makes class IDs unique to each GRF file.

Houses can be assigned class IDs which are only comparable within the GRF file they were defined in. This mapping ensures that if two houses have the same class as defined by the GRF file, the classes are different within the game. An array of HouseClassMapping structs is created, and the array index of the struct that matches both the GRF ID and the class ID is the class ID used in the game.

Although similar to the HouseIDMapping struct above, this serves a different purpose. Since the class ID is not saved anywhere, this mapping does not need to be persistent; it just needs to keep class ids unique.

Definition at line 32 of file newgrf_house.h.

The documentation for this struct was generated from the following file:

- src/newgrf_house.h